Subject: Re: [PATCH iproute2] ip: Simplify executing ip cmd within namespace

From: Jiri Benc <[email-masked]>
Date: Thu, 11 Dec 2014 19:08:46 +0100

On Thu, 11 Dec 2014 15:33:34 -0200, Marcelo Ricardo Leitner wrote:
> In that case, it would be interesting to also accelerate the original use 
> case, no? So all usages we currently have will benefit from this speed up 
> without a change.
> 
> if (command to be executed == myself)
>    switch namespace, continue without fork/exec..

It's never good idea to do such tricks behind the user's back. This
particular case could easily break for users wanting to execute a
different ip binary (for whatever reason).

All programs should do what they are told to do, not try to outsmart
the user.

 Jiri

-- 
Jiri Benc